Summary:	Tools needed to create Texinfo format documentation files
Summary(de.UTF-8):	Tools zum Erstellen von texinfo-Dokumentationsdateien
Summary(es.UTF-8):	Formateador texinfo y lector de archivos info
Summary(fr.UTF-8):	Outils créant des documentations au format texinfo
Summary(pl.UTF-8):	Narzędzia potrzebne przy tworzeniu dokumentacji w formacie texinfo
Summary(pt_BR.UTF-8):	Formatador texinfo e leitor de arquivos info
Summary(ru.UTF-8):	Инструменты для создания файлов документации формата Texinfo
Summary(tr.UTF-8):	texinfo biçimleyici ve info okuyucu
Summary(uk.UTF-8):	Інструменти для створення файлів документації формату Texinfo
Name:		texinfo
Version:	7.2
Release:	1
License:	GPL v3+
Group:		Applications/Publishing
Source0:	https://ftp.gnu.org/gnu/texinfo/%{name}-%{version}.tar.xz
# Source0-md5:	11939a7624572814912a18e76c8d8972
Source1:	info.desktop
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/texinfo/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.16.2
BuildRequires:	gettext-tools >= 0.21
BuildRequires:	help2man
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	perl-Encode
BuildRequires:	perl-Text-Unidecode >= 0.04
BuildRequires:	perl-Unicode-EastAsianWidth >= 1.30
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	perl-libintl >= 1.31
BuildRequires:	perl-modules >= 1:5.8.1
BuildRequires:	perl-tools-devel
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	rpm-perlprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	info = %{version}-%{release}
Requires:	perl-Text-Unidecode >= 0.04
Requires:	perl-Unicode-EastAsianWidth >= 1.30
Requires:	perl-libintl >= 1.31
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't provide private perl modules as system available
%define		_noautoprovfiles	%{_datadir}/texinfo
# and don't require them externally
%define		_noautoreq_perl		Pod::Simple::Texinfo Texinfo::.*
# libraries use perl symbols
%define		skip_post_check_so	libtexinfo.*

%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. Normally,
you'd have to write two separate documents: one for online help or
other online information and the other for a typeset manual or other
printed work. Using Texinfo, you only need to write one source
document. Then when the work needs revision, you only have to revise
one source document. The GNU Project uses the Texinfo file format for
most of its documentation.

%description -l de.UTF-8
Texinfo ist ein Dokumentationssystem, das sowohl Online-Information
und gedruckte Ausgabe von einer einzigen Source-Datei erzeugen kann.
Normalerweise würden Sie zwei verschiedene Dokumente schreiben, eins
für Onlinehilfe und eins für ein gedrucktes Handbuch. Mit Texinfo
reicht es, ein Dokument zu schreiben (und später zu aktualisieren).
Das GNU-Projekt benutzt texinfo für den größten Teil seiner
Dokumentation.

%description -l es.UTF-8
Texinfo es un sistema de documentación que puede producir tanto,
información online como salida impresa a partir de un único archivo
fuente. Generalmente, tenía que escribir dos documentos por separado:
uno para la ayuda u otro tipo de información online, y otro para un
manual u otro tipo de trabajos impresos. Usando Texinfo, basta con
escribir un único documento fuente. El día que sea necesaria una
revisión del trabajo, sólo tendrá que revisar un único documento. El
Proyecto GNU usa el formato de archivo Texinfo para la mayoría de su
documentación.

Instale Texinfo si quiere un sistema de documentación para producir
tanto documentación online como impresa a partir del mismo archivo
fuente y si va a escribir documentación para el Proyecto GNU.

%description -l fr.UTF-8
Texinfo est un système de documentation capable de produire de la
documentation online ou imprimée à partir d'un seul fichier.
Habituellement, il faut écrire deux documents : l'un orienté
hypertexte, l'autre axé sur une présentation de type PAO. En utilisant
texinfo, vous n'avez plus besoin que d'un seul fichier source. Le
projet GNU utilie le format de fichier Texinfo pour la plupart de ses
documentations.

%description -l pl.UTF-8
Texinfo jest systemem dokumentowania umożliwiającym wyprodukowanie
zarówno dokumentacji online jak i w postaci do wydruku z pojedynczego
pliku źródłowego. Bardzo często pisze się dwie dokumentacje: jedną do
przeglądania online i drugą do przyszykowania wysokiej jakości postaci
drukowanej. Używając Texinfo do powyższego potrzebujesz przygotować
dokumentację tylko w jednej postaci źródłowej. Podczas modyfikacji
dokumentacji modyfikujesz w takim razie tylko jeden dokument.
Większość projektów GNU używa do dokumentowania formatu Texinfo.

%description -l pt_BR.UTF-8
O texinfo é um sistema de documentação que pode produzir tanto
informação on-line como saída impressa a partir de um único
arquivo-fonte. Geralmente, você teria que escrever dois documentos
separados: um para ajuda on-line ou outro tipo de informação on-line,
e outro para um manual ou outro tipo de trabalho impresso. Usando o
Texinfo, basta escrever um único documento-fonte. Quando houver
necessidade de revisão, é preciso apenas revisar um único
documento-fonte. O projeto GNU usa o formato de arquivo texinfo para a
maioria da sua documentação.

%description -l ru.UTF-8
Проект GNU использует формат texinfo для большинства документации,
созданной в его рамках. Этот пакет включает инструменты, необходимые
для создания файлов .info из исходных файлов .texinfo и интерфейс к
emacs для всех этих инструментов.

%description -l tr.UTF-8
[6~GNU projesi, belgelemesinin büyük bölümünde texinfo dosyalarını
kullanır. Bu paket, texinfo dosyalarından info dosyalarının
türetilmesini sağlayan araçlarla birlikte, tüm bu araçlar için bir
emacs arayüzü de sunar.

%description -l uk.UTF-8
Проект GNU використовує формат texinfo для більшості документації,
створеної в його рамках. Цей пакет містить інструменти, потрібні для
створення файлів .info з вхідних файлів .texinfo та інтерфейс до emacs
для всіх цих інструментів.

%package -n info
Summary:	A stand-alone TTY-based reader for GNU texinfo documentation
Summary(de.UTF-8):	Ein TTY-basiertes Leseprogramm für GNU info-Dokumentation
Summary(es.UTF-8):	Lector basado en tty para documentos texinfo GNU
Summary(fr.UTF-8):	un lecteur de documentations info
Summary(pl.UTF-8):	Samodzielny, terminalowy czytnik dokumentów GNU texinfo
Summary(pt_BR.UTF-8):	Leitor baseado em tty para documentos texinfo GNU
Summary(ru.UTF-8):	Программа для просмотра документов в формате GNU texinfo на текстовой консоли
Summary(tr.UTF-8):	GNU texinfo belgeleri için tty tabanlı görüntüleyici
Summary(uk.UTF-8):	Програма для перегляду документів в форматі GNU texinfo на текстовому терміналі
Group:		Applications/System
Requires:	fix-info-dir
Obsoletes:	info-install

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. This package includes a standalone browser program to
view these files.

%description -n info -l de.UTF-8
Das GNU-Projekt benutzt das texinfo-Dateiformat für den Großteil
seiner Dokumentation. Dieses Paket enthält ein selbständiges
Browser-Programm zum Einsehen dieser Dateien.

%description -n info -l fr.UTF-8
Le projet GNU utilise le format de fichier texinfo pour la plupart de
sa documentation. Ce paquetage contient un navigateur pour visualiser
ces fichiers.

%description -n info -l pl.UTF-8
Projekty GNU używają formatu texinfo do tworzenia dokumentacji. Pakiet
ten zawiera samodzielną przeglądarkę tychże plików.

%description -n info -l pt_BR.UTF-8
O projeto GNU usa o formato de arquivos texinfo para a maioria de sua
documentação. Este pacote inclui um browser para visualização destes
arquivos.

%description -n info -l ru.UTF-8
Проект GNU использует формат texinfo для большинства документации,
созданной в его рамках. Этот пакет включает программу для просмотра
документов в формате GNU texinfo на текстовой консоли.

%description -n info -l tr.UTF-8
Bu pakette, info biçimindeki dosyaları okumak için bir görüntüleyici
bulunur.

%description -n info -l uk.UTF-8
Проект GNU використовує формат texinfo для більшості документації,
створеної в його рамках. Цей пакет містить програму для перегляду
документів в форматі GNU texinfo на текстовому терміналі.

%package texi2dvi
Summary:	Texinfo to dvi conversion tool
Summary(pl.UTF-8):	Narzędzie do konwersji texinfo na dvi
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}
Requires:	texlive
Requires:	texlive-fonts-latex
Requires:	texlive-pdftex
Requires:	texlive-plain

%description texi2dvi
Texinfo to dvi conversion tool.

%description texi2dvi -l pl.UTF-8
Narzędzie do konwersji plików texinfo na dvi.

%prep
%setup -q
%patch -P0 -p1

%build
%{__aclocal} -I gnulib/m4
%{__autoconf}
%{__automake}
%configure \
	--with-external-Text-Unidecode \
	--with-external-Unicode-EastAsianWidth \
	--with-external-libintl-perl

PATH="$PATH:../util" %{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_sbindir},/sbin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_bindir}/install-info $RPM_BUILD_ROOT%{_sbindir}
ln -sf %{_sbindir}/install-info $RPM_BUILD_ROOT/sbin/install-info

# perl modules and shared libs with no exported API
%{__rm} $RPM_BUILD_ROOT%{_libdir}/texi2any/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/texi2any/lib*.so

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}
%find_lang texinfo_document

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	-n info -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-n info -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f texinfo_document.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/makeinfo
%attr(755,root,root) %{_bindir}/pod2texi
%attr(755,root,root) %{_bindir}/texi2any
%attr(755,root,root) %{_bindir}/texindex
%{_datadir}/texi2any
%{_datadir}/texinfo
%dir %{_libdir}/texi2any
%attr(755,root,root) %{_libdir}/texi2any/ConvertXS.so
%attr(755,root,root) %{_libdir}/texi2any/DocumentXS.so
%attr(755,root,root) %{_libdir}/texi2any/IndicesXS.so
%attr(755,root,root) %{_libdir}/texi2any/MiscXS.so
%attr(755,root,root) %{_libdir}/texi2any/Parsetexi.so
%attr(755,root,root) %{_libdir}/texi2any/StructuringTransfoXS.so
%attr(755,root,root) %{_libdir}/texi2any/XSParagraph.so
%attr(755,root,root) %{_libdir}/texi2any/libtexinfo*.so.*
%{_infodir}/texinfo.info*
%{_infodir}/texi2any_api.info*
%{_infodir}/texi2any_internals.info*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/pod2texi.1*
%{_mandir}/man1/texi2any.1*
%{_mandir}/man1/texindex.1*
%{_mandir}/man5/texinfo.5*

%files -n info -f texinfo.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/info
%attr(755,root,root) /sbin/install-info
%attr(755,root,root) %{_sbindir}/install-info
%{_desktopdir}/info.desktop
%{_infodir}/info-stnd.info*
%{_mandir}/man1/info.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*

%files texi2dvi
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pdftexi2dvi
%attr(755,root,root) %{_bindir}/texi2dvi
%attr(755,root,root) %{_bindir}/texi2pdf
%{_mandir}/man1/pdftexi2dvi.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man1/texi2pdf.1*
%changelog
* Mon Jan 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/texinfo.git;a=log;h=master

* Sun Dec 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 0e4abc6
- updated to 7.2

* Wed Sep 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 84e8c18
- updated to 7.1.1

* Sun Nov 12 2023 Jan Rękorajski <baggins@pld-linux.org> bd017a9
- drop another BS locale, rel 3

* Wed Nov 08 2023 Jakub Bogusz <qboosh@pld-linux.org> 8d202c6
- unify info-stnd.texi direntry formatting, fix pod2texi index entry; release 2

* Sat Nov 04 2023 Jan Palus <atler@pld-linux.org> 960ce97
- up to 7.1

* Sat Nov 04 2023 Jan Palus <atler@pld-linux.org> b90ec8e
- BR: perl-Unicode-EastAsianWidth/perl-libintl for texi2any invoked during build

* Wed Jun 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 996503c
- updated to 7.0.3

* Sun May 14 2023 Jan Palus <atler@pld-linux.org> 6ced901
- texi2pdf needs pdftex; rel 2

* Thu Dec 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ed9061
- updated to 7.0.1
- updated info patch

* Wed Jul 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 8b94db0
- updated to 6.8
- updated info patch

* Sat Dec 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 9134983
- updated macros version for macros.perl always included

* Tue Apr 21 2020 Jan Palus <atler@pld-linux.org> 2c867cf
- rpm-build-macros -> rpmbuild(macros)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> aa44aa3
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Sep 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 351c867
- updated to 6.7

* Sat Feb 23 2019 Jakub Bogusz <qboosh@pld-linux.org> b325e45
- BR: perl-Text-Unidecode

* Sat Feb 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 081cfc6
- use system perl modules (Text::Unidecode, Unicode::EastAsianWidth, libintl)
- hide private perl modules from rpm Provides/Requires
- release 3

* Mon Feb 18 2019 Adam Gołębiowski <adamg@pld-linux.org> bee3918
- Provides: perl(Texinfo::Parser), release 2

* Sun Feb 17 2019 Adam Gołębiowski <adamg@pld-linux.org> 3f410d0
- updated to 6.6

* Fri Aug 31 2018 Marcin Krol <hawk@tld-linux.org> 06c09bd
- release 2

* Fri Aug 31 2018 Marcin Krol <hawk@tld-linux.org> 70b6816
- regex fix from Debian

